mkdir -p build
cd build
rm -rf *

LIB_DIR=$1
DEMO_NAME=$2
MODEL_FILE_DIR=$3

cmake .. -DPADDLE_LIB=${LIB_DIR} \
  -DWITH_MKL=ON \
  -DDEMO_NAME=${DEMO_NAME} \
  -DWITH_GPU=ON \
  -DWITH_STATIC_LIB=OFF \
  -DUSE_TENSORRT=ON \

make -j

cp -rf ${MODEL_FILE_DIR} ./
./${DEMO_NAME}
